﻿<table>
    <tr>
        <td style="width: 120px;">System</td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                sett => {
                    sett.Name = "grlSystemAdd";
                    sett.GridProperties.KeyFieldName = "SYSTEM_NAME";
                    sett.Width = 200;
                    sett.GridProperties.CallbackRouteValues = new { Controller = "RoleMaster", Action = "getSystemAdd" };
                    sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;

                    sett.GridProperties.ClientSideEvents.RowClick = "getSystemID";
                    
                    //sett.GridProperties.ClientSideEvents.BeginCallback = "branchBeginCallback"; //coba
                    
                    //sett.GridProperties.ClientSideEvents.RowClick = "branchChanged";
                        //SelectionChanged = "branchChanged";
                    sett.GridProperties.Width = 300;
                    

                    sett.GridProperties.Columns.Add(
                          l =>
                          {
                              l.Name = "txtSytemID";
                              l.FieldName = "SYSTEM_ID";
                              l.Caption = "System ID";
                              l.Width = 100;
                              l.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                          }
                        );
                    sett.GridProperties.Columns.Add(
                        l =>
                        {
                            l.Name = "txtSystemName";
                            l.FieldName = "SYSTEM_NAME";
                            l.Caption = "System Name";
                        }
                        );

                }
                
                
            ).Bind(ViewData["SystemData"]).GetHtml()


        </td>
    </tr>
    <tr>
        <td>Role Name</td>
        <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtRole";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 300;
                }
            ).GetHtml()
        </td>


    </tr>
    <tr>
        <td>&nbsp</td>
        <td>&nbsp</td>
    </tr>
    <tr>
        <td colspan="2">
            @Html.DevExpress().CheckBox(
                                c =>
                                {
                                    c.Name = "newAuthorizationCheck";
                                    c.Properties.ClientSideEvents.CheckedChanged = "addNewAuthorization";

                                }).GetHtml()

            Add New Authorization</td>
    </tr>
    
    <tr>
        <td>&nbsp</td>
        <td>&nbsp</td>
    </tr>

    <tr>
        <td><span id="newAuthorization_1">Auth Group Name</span></td>
        <td><span id="newAuthorization_2">
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtAuthName";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 12;
                }
            ).GetHtml()
            </span>
        </td>
    </tr>
    <tr>
        <td><span id="newAuthorization_3">Auth Group Desc</span></td>
        <td><span id="newAuthorization_4">
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtAuthDesc";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 12;
                }
            ).GetHtml()
            </span>
        </td>
    </tr>
    
    <tr>
        <td></td>
        <td>
            <div style="float:left;">
            @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnAddSubmit";
                            btnSettings.Text = "Save";
                            btnSettings.Width = 80;
                            btnSettings.ClientSideEvents.Click = "AddSubmit";
                        }
                    ).GetHtml()
            
            </div>
            <div style="width: 10px;height: 10px;float: left;"></div>
            <div style="float: left;">
            @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnCancelSubmit";
                            btnSettings.Text = "Cancel";
                            btnSettings.Width = 80;
                            btnSettings.ClientSideEvents.Click = "CancelSubmit";
                        }
                    ).GetHtml()
                </div>
        </td>

    </tr>


</table>